| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
ShowFoto::ShowfotoStackViewFavoriteItemDlg Class Reference
Inheritance diagram for ShowFoto::ShowfotoStackViewFavoriteItemDlg:

## Public Member Functions
| ShowfotoStackViewFavoriteItemDlg (ShowfotoStackViewFavoriteList *const list, bool create=false)
QUrl | currentUrl () const
QDate | date () const
QString | description () const
int | favoriteType () const
QString | icon () const
QString | name () const
void | setCurrentUrl (const QUrl &url)
void | setDate (const QDate &name)
void | setDescription (const QString &desc)
void | setFavoriteType (int favoriteType)
void | setIcon (const QString &icon)
void | setIconSize (int size)
void | setName (const QString &name)
void | setParentItem (ShowfotoStackViewFavoriteItem *const pitem)
void | setSortOrder (int order)
void | setSortRole (int role)
void | setUrls (const QList< QUrl > &urls)
QList< QUrl > | urls () const

## Static Public Member Functions
static bool | favoriteItemDialog (ShowfotoStackViewFavoriteList *const list, QString &name, int &favoriteType, QString &desc, QDate &date, QString &icon, QList< QUrl > &urls, QUrl &current, int iconSize, int sortOrder, int sortRole, ShowfotoStackViewFavoriteItem *const pitem, bool create=false)

## Protected Member Functions
void | showEvent (QShowEvent *) override